%define pkg_name        Lingua-EN-NameParse
%define pkg_version     1.23
%define rpm_pkg_version 1.23
%define rpm_pkg_release 1.n0i.2

Summary:       Manipulate persons name
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KI/KIMRYAN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::RecDescent)


%description
This module takes as input a person or persons name in free format text and
attempts to parse it. If successful, the name is broken down into
components.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README surname_prefs.txt


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.23-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.23

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.22-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
